import type { IExecuteFunctions, INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
declare module 'n8n-workflow' {
    interface INodeTypeDescription {
        usableAsTool?: boolean;
    }
}
export declare class AgenticHub implements INodeType {
    description: INodeTypeDescription;
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
